import { UIStore } from "ui/domain/uiStore";

type ShowDrawerUIStore = Pick<UIStore, "drawerIs" | "isDrawerCollapsed">;

const drawerCollapseUseCase = (store: ShowDrawerUIStore) => {
  store.drawerIs(!store.isDrawerCollapsed);
};

export { drawerCollapseUseCase };
